#3866 closed enhancement (fixed)

Add support for GCC 10 noinit attribute

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: bsps Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Change History (8)

comment:1 Changed on Feb 5, 2020 at 9:47:47 PM by Chris Johns

Does clang have this support?

comment:2 Changed on Feb 9, 2020 at 4:40:17 PM by Sebastian Huber

clang doesn't support this attribute. I added an enhancement request for this:

https://bugs.llvm.org/show_bug.cgi?id=44811

As a workaround for clang and GCC < 10 you can use the section attribute. The key issue is to have support for .noinit section in the linker command files.

comment:3 Changed on Feb 25, 2020 at 7:22:23 AM by Sebastian Huber

Milestone: 5.16.1
Version: 56

comment:4 Changed on May 2, 2021 at 6:41:04 PM by Sebastian Huber <sebastian.huber@…>

In a84bf96/rtems:

basedefs: Add RTEMS_NOINIT

Update #3866.

comment:5 Changed on May 2, 2021 at 6:41:08 PM by Sebastian Huber <sebastian.huber@…>

In e10dec0/rtems:

bsps: Support RTEMS_NOINIT in linkcmds

Update #3866.

comment:6 Changed on May 2, 2021 at 6:41:12 PM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 2df9541/rtems:

spmisc01: Test RTEMS_NOINIT

Close #3866.

comment:7 Changed on May 3, 2021 at 12:05:34 PM by Sebastian Huber <sebastian.huber@…>

In eb7c33ad/rtems:

bsps/riscv: Support RTEMS_NOINIT in linkcmds

Update #3866.

comment:8 Changed on Jun 23, 2021 at 7:16:03 AM by Sebastian Huber

Keywords: qualification added
Note: See TracTickets for help on using tickets.